<?php

namespace OCA\Chores;

use OCP\App\IAppManager;
use OCP\Capabilities\ICapability;

class Capabilities implements ICapability {

  /** @var IAppManager */
  private $appManager;

  public function __construct(IAppManager $appManager) {
    $this->appManager = $appManager;
  }

  public function getCapabilities() {
    return [
      'chores' => [
        'version' => $this->appManager->getAppVersion('chores'),
        'apiVersions' => [
          '1.0',
        ]
      ]
    ];
  }
}
