<?php
namespace OCA\Chores\Db;

use OCP\IDBConnection;
use OCP\AppFramework\Db\QBMapper;

class TeamMapper extends QBMapper {

  public function __construct(IDBConnection $db) {
    parent::__construct($db, 'chores_teams', Team::class);
  }

  public function find(string $userId) {
    $qb = $this->db->getQueryBuilder();

    $qb->select('t.*')
       ->from($this->tableName, 't')
       ->join('t', 'chores_team_members', 'tm', 't.id = tm.team_id')
       ->where(
         $qb->expr()->eq('member_user_id', $qb->createNamedParameter($userId))
       );

    return $this->findEntity($qb);
  }

}
